#! /usr/bin/sh

lock="/home/oem/.mce"

sudo sed -i "s/MaiaDark/Maia/" "/root/.config/Kvantum/kvantum.kvconfig"
kstart5 --fullscreen calamares_polkit

if [[ ! -e $lock ]]; then
    sudo sed -i "s/quiet /quiet mce=dont_log_ce /" "/etc/default/grub"
    sudo pacman -R --noconfirm amd-ucode
    sudo update-grub &&
    touch $lock
    notify-send 'fixed mce boot errors'
fi

exit 0
